XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Specifies the read state of an instance of a class derived from the class.

When a reader is instantiated, the read state is set to . When the method is called, the read state is changed to . If an error occurs during a read operation, the read state is changed to . When the end of the XML data is reached, the read state is set to . When the method is called, the read state is set to .

- Field
  System.Xml.ReadState Closed

  The method has been called.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.ReadState EndOfFile

  The end of the XML data has been reached.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.ReadState Error An error occurred that prevents the read operation from continuing. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.ReadState Initial

  The method has not been called.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.ReadState Interactive

  The method has been called. Additional methods can now be called on the reader.

  To be added. 0 1.0.5000.0 2.0.0.0
0